Subject: how to set up gdb with emacs
From: "Raghuraman" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 4 May 2002 10:19:14 +0530

Hi,
    Did you get the solution for this? I have used cygwin-mount.el and cygwin bash shell runs from emacs - however, when I try to run gdb, I get the following:

Current directory is c:/Documents and Settings/raghuraman/Unix/Src/CPP/Range/
GNU gdb 5.0 (20010428-1)
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...
(gdb) run
Starting program: /cygdrive/c/Documents and Settings/raghuraman/Unix/Src/CPP/Range/td_range.exe 
Error creating process /cygdrive/c/Documents and Settings/raghuraman/Unix/Src/CPP/Range/td_range.exe, (error 193)

(gdb) 

Also, I am not able to run gdb successfully from the cygwin bash shell too (same error)

Any help is appreciated.
regards,
Raghu

Hi,

I've just started using cygwin on windows me. Following the FAQ,
I setup my home directory and .bashrc and everything works
OK in the bash shell. However I cannot get gdb working in emacs. I
downloaded the cygwin32_mount.el and modified .emacs to use bash,
but still could not get gdb working in emacs. I've searched the mail
archive but still confused what to do.

Can someone kindly give me some directions?

Thanks a lot for help.

--Li Xu

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/